home *** CD-ROM | disk | FTP | other *** search
/ PC World Komputer 1999 March B / SCO_CASTOR4RRT.iso / nsnavAu / install / request < prev    next >
Text File  |  1998-08-19  |  3KB  |  100 lines

  1. #!/bin/sh
  2. #
  3. #       @(#) request.shinc 12.2 97/10/28 
  4. #
  5. # Copyright (c) 1997 The Santa Cruz Operation, Inc.. All Rights Reserved.
  6. # THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF THE SANTA CRUZ OPERATION INC.
  7. # The copyright notice above does not evidence any actual or intended
  8. # publication of such source code.
  9. ME="`basename $0`"
  10. ISL_FILE="/etc/inst/scripts/postreboot.sh"
  11. SUCCESS=0; FAIL=1; INTR=3
  12. trap "exit $INTR" 2 3 15
  13. [ -f $ISL_FILE ] && exec 1>>/var/adm/log/$PKGINST.out
  14. [ -f $ISL_FILE ] && exec 2>>/var/adm/log/$PKGINST.err
  15.  
  16. # location of the packaging information files during this phase of installation
  17. INSTALL_DIR="$REQDIR/$PKGINST"
  18.  
  19. # dolicense return codes and menus check file
  20. DOLICENSE_MSGS="dolicense.msgs"
  21. DOLICENSE_COVERED=0; DOLICENSE_ADDED_EVAL=1
  22. DOLICENSE_NOT_LICENSED=2; DOLICENSE_FAIL=3
  23.  
  24.  
  25. # check usage
  26. if [ $# -ne 1 ]; then
  27.     echo "Usage: $ME response_file" >&2
  28.     exit $FAIL
  29. fi
  30. response_file="$1"
  31.  
  32.  
  33. #############################################################################
  34. #
  35. # main
  36. #
  37. #############################################################################
  38.  
  39. # if not in initial system load then check licensing, and add if required
  40. if [ ! -f $ISL_FILE ]; then
  41.  
  42.     # determine the right location for menus - try /etc/inst/locale
  43.     # first, and if no menus there then use ones in the installation
  44.     # set - try for local ones first, then fall back on C
  45.     LOCALE="${LC_ALL:-${LC_MESSAGES:-${LANG:-C}}}"
  46.     MENU_DIR="/etc/inst/locale/$LOCALE/menus/$PKGINST"
  47.     if [ ! -f $MENU_DIR/$DOLICENSE_MSGS ]; then
  48.         if [ ! -d $INSTALL_DIR/$LOCALE ]; then
  49.             LOCALE="C"
  50.         fi
  51.         MENU_DIR=$INSTALL_DIR/$LOCALE
  52.     fi
  53.  
  54.     # check the UnixWare release, and abort if it's one of the
  55.     # incompatible ones
  56.     if [ -f $INSTALL_DIR/releasecheck.sh ]; then
  57.         # layered installation - interaction is OK
  58.         sh $INSTALL_DIR/releasecheck.sh $MENU_DIR
  59.         if [ $? -ne 0 ]; then
  60.             exit $FAIL
  61.         fi
  62.     fi
  63.  
  64.     # check for an admin server, and warn if it isn't there
  65.     if [ -f $INSTALL_DIR/noadminwarn.sh ]; then
  66.         # layered installation - interaction is OK
  67.         sh $INSTALL_DIR/noadminwarn.sh $MENU_DIR
  68.     fi
  69.  
  70.     # call a routine to check for, and optionally add, licensing for
  71.     # the product
  72.     if [ -f $INSTALL_DIR/dolicense.sh ]; then
  73.         # layered installation - questions are OK
  74.         sh $INSTALL_DIR/dolicense.sh $INSTALL_DIR/l_info $MENU_DIR
  75.  
  76.         # ignore most dolicense return codes since dolicense's
  77.         # menu stuff will have told the installer what was done
  78.         if [ $? -eq $DOLICENSE_FAIL ]; then
  79.             echo "$ME: dolicense.sh script failed" >&2
  80.             exit $FAIL
  81.         fi
  82.     else
  83.         echo "$ME: unable to find $INSTALL_DIR/dolicense.sh" >&2
  84.         exit $FAIL
  85.     fi
  86.  
  87.     # make a note into the environment that the licensing has been checked
  88.     # for this installation
  89.     echo "REQUEST_CHECKED_LICENSING=\"TRUE\"" >$response_file
  90.  
  91. else
  92.  
  93.     # in initial system load so defer license stuff to postinstall
  94.     echo "REQUEST_CHECKED_LICENSING=\"FALSE\"" >$response_file
  95. fi
  96.  
  97. # done
  98. exit $SUCCESS
  99.